Commit 96b3f5eb authored by Daniel Morlock's avatar Daniel Morlock

Raise warning if PHP's fopen wrappers are not allowed (required to open ics files via URL).

parent fe9f35e7
......@@ -103,6 +103,10 @@ class ical_driver extends calendar_driver
if (self::$debug === null)
self::$debug = $this->rc->config->get('calendar_ical_debug', false);
// PHP's fopen wrappers must be allowed
if(!ini_get("allow_url_fopen"))
self::_raise_error("iCAL driver needs PHP's fopen wrappers to be allowed!");
$this->_read_calendars();
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment